/*
	Header for MAGGREP.C
*/

/* KEYWORDS GADGET */

static UBYTE KeywordsSIBuff[216];
static struct StringInfo KeywordsSInfo = {
    KeywordsSIBuff,    /* buffer where text will be edited */
    NULL,    /* optional undo buffer */
    0,    /* character position in buffer */
    216,    /* maximum number of characters to allow */
    0,    /* first displayed character buffer position */
    0,0,0,0,0,    /* Intuition initialized and maintained variables */
    0,    /* Rastport of gadget */
    0,    /* initial value for integer gadgets */
    NULL    /* alternate keymap (fill in if you set the flag) */
};

static SHORT BorderVectors2[] = {
    0,0,
    401,0,
    401,9,
    0,9,
    0,0
};
static struct Border Border2 = {
    -1,-1,    /* XY origin relative to container TopLeft */
    3,0,JAM1,    /* front pen, back pen and drawmode */
    5,    /* number of XY vectors */
    BorderVectors2,    /* pointer to XY vectors */
    NULL    /* next border in list */
};

static struct IntuiText IText2 = {
    3,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    130,-11,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "Magazine Keywords",    /* pointer to text */
    NULL    /* next IntuiText structure */
};

static struct Gadget Keywords = {
    NULL,    /* next gadget */
    27,54,    /* origin XY of hit box relative to window TopLeft */
    400,8,    /* hit box width and height */
    NULL,    /* gadget flags */
    RELVERIFY,    /* activation flags */
    STRGADGET,    /* gadget type flags */
    (APTR)&Border2,    /* gadget border or image to be rendered */
    NULL,    /* alternate imagery for selection */
    &IText2,    /* first IntuiText structure */
    NULL,    /* gadget mutual-exclude long word */
    (APTR)&KeywordsSInfo,    /* SpecialInfo structure */
    3,    /* user-definable data */
    NULL    /* pointer to user-definable data */
};

/* ISSUE GADGET */

static UBYTE IssueSIBuff[20];
static struct StringInfo IssueSInfo = {
    IssueSIBuff,    /* buffer where text will be edited */
    NULL,    /* optional undo buffer */
    0,    /* character position in buffer */
    20,    /* maximum number of characters to allow */
    0,    /* first displayed character buffer position */
    0,0,0,0,0,    /* Intuition initialized and maintained variables */
    0,    /* Rastport of gadget */
    0,    /* initial value for integer gadgets */
    NULL    /* alternate keymap (fill in if you set the flag) */
};

static SHORT BorderVectors4[] = {
    0,0,
    161,0,
    161,9,
    0,9,
    0,0
};
static struct Border Border4 = {
    -1,-1,    /* XY origin relative to container TopLeft */
    3,0,JAM1,    /* front pen, back pen and drawmode */
    5,    /* number of XY vectors */
    BorderVectors4,    /* pointer to XY vectors */
    NULL    /* next border in list */
};

static struct IntuiText IText4 = {
    3,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    23,-10,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "Magazine Issue",    /* pointer to text */
    NULL    /* next IntuiText structure */
};

static struct Gadget Issue = {
    &Keywords,    /* next gadget */
    255,25,    /* origin XY of hit box relative to window TopLeft */
    160,8,    /* hit box width and height */
    NULL,    /* gadget flags */
    RELVERIFY,    /* activation flags */
    STRGADGET,    /* gadget type flags */
    (APTR)&Border4,    /* gadget border or image to be rendered */
    NULL,    /* alternate imagery for selection */
    &IText4,    /* first IntuiText structure */
    NULL,    /* gadget mutual-exclude long word */
    (APTR)&IssueSInfo,    /* SpecialInfo structure */
    2,    /* user-definable data */
    NULL    /* pointer to user-definable data */
};

/* TITLE GADGET */

static UBYTE TitleSIBuff[20];
static struct StringInfo TitleSInfo = {
    TitleSIBuff,    /* buffer where text will be edited */
    NULL,    /* optional undo buffer */
    0,    /* character position in buffer */
    20,    /* maximum number of characters to allow */
    0,    /* first displayed character buffer position */
    0,0,0,0,0,    /* Intuition initialized and maintained variables */
    0,    /* Rastport of gadget */
    0,    /* initial value for integer gadgets */
    NULL    /* alternate keymap (fill in if you set the flag) */
};

static SHORT BorderVectors3[] = {
    0,0,
    161,0,
    161,9,
    0,9,
    0,0
};
static struct Border Border3 = {
    -1,-1,    /* XY origin relative to container TopLeft */
    3,0,JAM1,    /* front pen, back pen and drawmode */
    5,    /* number of XY vectors */
    BorderVectors3,    /* pointer to XY vectors */
    NULL    /* next border in list */
};

static struct IntuiText IText3 = {
    3,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    23,-10,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "Magazine Title",    /* pointer to text */
    NULL    /* next IntuiText structure */
};

static struct Gadget Title = {
    &Issue,    /* next gadget */
    35,25,    /* origin XY of hit box relative to window TopLeft */
    160,8,    /* hit box width and height */
    NULL,    /* gadget flags */
    RELVERIFY,    /* activation flags */
    STRGADGET,    /* gadget type flags */
    (APTR)&Border3,    /* gadget border or image to be rendered */
    NULL,    /* alternate imagery for selection */
    &IText3,    /* first IntuiText structure */
    NULL,    /* gadget mutual-exclude long word */
    (APTR)&TitleSInfo,    /* SpecialInfo structure */
    1,    /* user-definable data */
    NULL    /* pointer to user-definable data */
};

/* FIND GADGET */

static UBYTE FindSIBuff[31];
static struct StringInfo FindSInfo = {
    FindSIBuff,    /* buffer where text will be edited */
    NULL,    /* optional undo buffer */
    0,    /* character position in buffer */
    31,    /* maximum number of characters to allow */
    0,    /* first displayed character buffer position */
    0,0,0,0,0,    /* Intuition initialized and maintained variables */
    0,    /* Rastport of gadget */
    0,    /* initial value for integer gadgets */
    NULL    /* alternate keymap (fill in if you set the flag) */
};

static SHORT BorderVectors1[] = {
    0,0,
    249,0,
    249,9,
    0,9,
    0,0
};
static struct Border Border1 = {
    -1,-1,    /* XY origin relative to container TopLeft */
    3,0,JAM1,    /* front pen, back pen and drawmode */
    5,    /* number of XY vectors */
    BorderVectors1,    /* pointer to XY vectors */
    NULL    /* next border in list */
};

static struct IntuiText IText1 = {
    1,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    -58,1,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "Find:",    /* pointer to text */
    NULL    /* next IntuiText structure */
};

static struct Gadget Find = {
    &Title,    /* next gadget */
    179,74,    /* origin XY of hit box relative to window TopLeft */
    248,9,    /* hit box width and height */
    NULL,    /* gadget flags */
    RELVERIFY,    /* activation flags */
    STRGADGET,    /* gadget type flags */
    (APTR)&Border1,    /* gadget border or image to be rendered */
    NULL,    /* alternate imagery for selection */
    &IText1,    /* first IntuiText structure */
    NULL,    /* gadget mutual-exclude long word */
    (APTR)&FindSInfo,    /* SpecialInfo structure */
    0,    /* user-definable data */
    NULL    /* pointer to user-definable data */
};

#define GadgetList1 Find

/* MENUS */

static struct IntuiText IText5 = {
	3,1,COMPLEMENT,
	0,0,
	NULL,
	"Find An Item",
	NULL
};
static struct MenuItem MenuItem3 = {
	NULL,
	0,16,
	152,8,
	ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText5,
	NULL,
	'F',
	NULL,
	MENUNULL
};
	
static struct IntuiText IText6 = {
    3,1,COMPLEMENT,    /* front and back text pens, drawmode and fill byte */
    0,0,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "Save This Item",    /* pointer to text */
    NULL    /* next IntuiText structure */
};

static struct MenuItem MenuItem2 = {
    &MenuItem3,    /* next MenuItem structure */
    0,8,    /* XY of Item hitbox relative to TopLeft of parent hitbox */
    152,8,    /* hit box width and height */
    ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,    /* Item flags */
    0,    /* each bit mutually-excludes a same-level Item */
    (APTR)&IText6,    /* Item render  (IntuiText or Image or NULL) */
    NULL,    /* Select render */
    'S',    /* alternate command-key */
    NULL,    /* SubItem list */
    MENUNULL    /* filled in by Intuition for drag selections */
};

static struct IntuiText IText7 = {
    3,1,COMPLEMENT,    /* front and back text pens, drawmode and fill byte */
    0,0,    /* XY origin relative to container TopLeft */
    NULL,    /* font pointer or NULL for default */
    "Add An Item",    /* pointer to text */
    NULL    /* next IntuiText structure */
};

static struct MenuItem MenuItem1 = {
    &MenuItem2,    /* next MenuItem structure */
    0,0,    /* XY of Item hitbox relative to TopLeft of parent hitbox */
    152,8,    /* hit box width and height */
    ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,    /* Item flags */
    0,    /* each bit mutually-excludes a same-level Item */
    (APTR)&IText7,    /* Item render  (IntuiText or Image or NULL) */
    NULL,    /* Select render */
    'A',    /* alternate command-key */
    NULL,    /* SubItem list */
    MENUNULL    /* filled in by Intuition for drag selections */
};

static struct Menu Menu1 = {
    NULL,    /* next Menu structure */
    0,0,    /* XY origin of Menu hit box relative to screen TopLeft */
    120,0,    /* Menu hit box width and height */
    MENUENABLED,    /* Menu flags */
    "MagMan Options",    /* text of Menu name */
    &MenuItem1    /* MenuItem linked list pointer */
};

#define MenuList1 Menu1

static struct NewWindow NewWindowStructure1 = {
    1,12,    /* window XY origin relative to TopLeft of screen */
    471,96,    /* window width and height */
    0,1,    /* detail and block pens */
    GADGETUP+MENUPICK+VANILLAKEY+CLOSEWINDOW,    /* IDCMP flags */
    WINDOWDRAG+WINDOWDEPTH+WINDOWCLOSE+ACTIVATE,    /* other window flags */
    &Find,    /* first gadget in gadget list */
    NULL,    /* custom CHECKMARK imagery */
    NULL,    /* window title */
    NULL,    /* custom screen pointer */
    NULL,    /* custom bitmap */
    470,75,    /* minimum width and height */
    470,75,    /* maximum width and height */
    WBENCHSCREEN    /* destination screen type */
};

/* end of PowerWindows source generation */
